Name: wxPython-doc
Version: 2.4.1.2
Release: alt1

Summary: Documentation for the wxWindows/wxPython
License: wxWindows License
Group: Development/Python
Url: http://www.wxpython.org
Packager: Oleg Gints <go@altlinux.ru>

BuildArch: noarch
Source0:  http://dl.sourceforge.net/sourceforge/wxpython/wxPythonDocs-%version.tar.gz
Patch1: wxPythonDoc-2.4.1.2-alt-tmpdocdir.patch

AutoReqProv: no
Requires: wxPythonGTK >= 2.4.0.1

BuildRequires: python

%description
The %name package contains documentation for wxWindows %version:
A portable C++ and Python GUI toolkit.

%prep
%setup -n wxPython-%version
%patch1 -p0

%install
mkdir -p $RPM_BUILD_ROOT%_bindir
sed -e "s|doc_dir='.'|doc_dir='%_docdir/%name-%version'|g"\
     <docs/viewdocs.py >$RPM_BUILD_ROOT%_bindir/viewdocs.py
chmod 755 $RPM_BUILD_ROOT%_bindir/viewdocs.py
rm -f docs/viewdocs.py #???

# Menu support
mkdir -p $RPM_BUILD_ROOT%_menudir
cat >$RPM_BUILD_ROOT%_menudir/%name <<EOF
?package(%name): \
needs=x11 \
section="Documentation" \
title="wxWindows & wxPython" \
command=viewdocs.py \
icon=documentation_section.png \
longtitle="Documentation for the wxWindows/wxPython"
EOF

%post
%update_menus

%postun
%clean_menus

%files
%doc docs/*
%_bindir/*
%_menudir/*

%changelog
* Mon Sep 15 2003 Oleg Gints <go@altlinux.ru> 2.4.1.2-alt1
- 2.4.1.2
- rename patch
- fix Requires
- add BuildRequires for build in hasher

* Mon Jan 20 2003 Oleg Gints <go@altlinux.ru> 2.4.0.1-alt1
- first release for ALT
